### Method

# WebKit2WebExtension DOMNode clone_node

deprecated: 2.14

#### Declaration [src]

    WebKitDOMNode*
    webkit_dom_node_clone_node (
      WebKitDOMNode* self,
      gboolean deep,
      GError** error
    )

#### Description

No description available.

Deprecated since: 2.14

Use `webkit_dom_node_clone_node_with_error()` instead.

#### Parameters

`deep`

  Type: `gboolean`

  A #gboolean.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `WebKitDOMNode`

A `WebKitDOMNode`.

The data is owned by the instance.